from core import getExprRewTimeData
import sys

def getMax(datax,datay,usex):
  """Process which node is greatest in the x or the y"""
  max_val = 0
  max_node = None
  for x,y in zip(datax,datay):
    if (usex and x > max_val) or ((not usex) and y > max_val):
        max_val = x if usex else y
        max_node = (x,y)
    elif (usex and x == max_val) or ((not usex) and y == max_val):
        print("Tie: "+str(x)+","+str(y))
  if max_node != None:
    print(max_node)
  else:
    print("No max node")

if __name__ == "__main__":
  # Check args and die if invalid
  if len(sys.argv) != 4:
      print("Error: wrong args")
      sys.exit(1)
  # Parse experimental results files
  rewx,rewy,timex,timey = getExprRewTimeData(sys.argv[1],sys.argv[2])
  # Get the max among the x or the y
  if sys.argv[3] == "x":
    getMax(rewx,rewy,True)
  elif sys.argv[3] == "y":
    getMax(rewx,rewy,False)
  else:
    raise ValueError("Third argument should be either 'x' or 'y'")
