from core import getExprRewTimeData
import statistics as stat
import sys

if __name__ == "__main__":
  # Check args and die if invalid
  if len(sys.argv) != 3:
      print("Error: wrong args")
      sys.exit(1)
  # Parse experimental results files
  rewx,rewy,timex,timey = getExprRewTimeData(sys.argv[1],sys.argv[2])
  # Calculate ratios
  ratio = list()
  for (x,y) in zip(rewx,rewy): ratio.append(y/float(x))
  # Print mean and median
  print("ARITHMETIC MEAN: "+str(sum(ratio)/len(ratio)))
  print("MEDIAN: "+str(stat.median(ratio)))
